
PVector[] points;
float d = 50;
float xmax = 0;
float ymax = 0;
int mode = 0;

void setup() {
  size(400, 400);
  smooth();

  String[] lines = loadStrings("points.txt");
  points = new PVector[lines.length];
  for (int i=0; i < lines.length; i++) {
    String[] columns = lines[i].split(";");
    float x = float(columns[0]);
    float y = float(columns[1]);
    points[i] = new PVector(x, y);
    xmax = max(xmax, x);
    ymax = max(ymax, y);
  }
}

void draw() {

  background(255);
  noStroke();
  fill(40, 80, 200);
  for (int i=0; i<points.length; i++) {
    float x = map(points[i].x, 0, xmax, d/2, width-d/2);
    float y = map(points[i].y, 0, ymax, height-d/2, d/2);
    if (mode==0)
      ellipse(x, y, d, d);
    else
      rect(x-d/2, y-d/2, d, d);
  }
}

void mouseClicked() {
  mode = 1 - mode;
}

void mouseDragged() {
  if (mouseButton == RIGHT) {
    d = map(mouseY, 0, height, 20, 80);
  }
}